<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Bad Mother</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Bad-Mother-3-of-5/digital-comic/895373</Web>
  <Summary>A nerve-racking thriller from crime writer Christa Faust and blockbuster artist Mike Deodato Jr. (The Resistance, Infinity Wars). April Walters is a hit-and-run victim of life – a middle-aged soccer mom whose inner fire has been snuffed out by her dreary suburban existence. When her teenaged daughter goes missing under mysterious circumstances, April embarks on a harrowing mission to find her; a journey that takes her through the underbelly of her suburban community and sets her on a collision course with a massive crime syndicate and its lethal matriarch. Tested to her limits and beyond, April discovers that hell hath no fury like a mother scorned.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB895373]</Notes>
  <Publisher>AWA Studios</Publisher>
  <Imprint>AWA Studios - Upshot</Imprint>
  <Genre>Leading Ladies, Suspense, Action/Adventure</Genre>
  <PageCount>23</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
